Creates a new work instruction details.
Request Information
URI Parameters :
None.
Body Parameters :
work_instruction_details| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| work_instruction_id |
work instruction id |
globally unique identifier |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| work_instruction_reference_back_office |
Embedded code "work instruction" when adding/updating |
string |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| work_instruction |
Embedded entity "work instruction" when adding/updating |
work_instruction |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| description |
Summary on "what" the action should be done. |
string |
Max length: 4000 |
| sequence |
sequence order field for the work instruction |
integer | |
| reference_back_office |
The Id/Ref of the back office for this work instruction details. Used by Embedded entity |
string |
Max length: 255 |
| work_instruction_details_group_sequence |
sequence order field for the group |
integer | |
| work_instruction_details_group_name |
Name of the group |
string |
Max length: 4000 |
| is_archived | boolean | ||
| type |
One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default |
string | |
| show_ok |
Indicate if the OK option should be available |
boolean | |
| show_nok |
Indicate if the Not OK option should be available |
boolean | |
| show_replaced |
Indicate if the Replaced option should be available |
boolean | |
| show_na |
Indicate if the N/A option should be available |
boolean | |
| db_file_id |
Used to specify a document/photos with instruction |
globally unique identifier | |
| instruction_document_count |
Specify how many documents/photos must be added if type is Picture |
integer | |
| db_report_type_id |
When type is Form, you must specify which db_report_type must be filled |
globally unique identifier | |
| db_report_type_name |
When type is Form, you must specify which db_report_type must be filled |
string | |
| work_instruction_type_id |
When type is Custom, you must specify which work_instruction_type must be filled |
globally unique identifier | |
| work_instruction_type_code |
When type is Custom, you must specify which work_instruction_type must be filled |
string | |
| show_options |
Options to display, this field is not allowed to add/ update |
string | |
| translations |
List of translation of specific field name |
Collection of translation | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Request Formats :
application/json, text/json
{
"id": "9b493dc3-1ede-4a8c-afd4-84dab5dd1312",
"work_instruction_id": "ae34c95a-d94e-4ee5-bda4-5c23f433c15a",
"work_instruction_reference_back_office": "sample string 3",
"description": "sample string 4",
"sequence": 5,
"reference_back_office": "sample string 6",
"work_instruction_details_group_sequence": 7,
"work_instruction_details_group_name": "sample string 8",
"is_archived": true,
"type": "sample string 10",
"show_ok": true,
"show_nok": true,
"show_replaced": true,
"show_na": true,
"db_file_id": "a321cfb8-3c1c-4a42-b583-01f6aa51eb12",
"instruction_document_count": 16,
"db_report_type_id": "143648d7-11c6-48f5-aca9-a1b3adbc4405",
"db_report_type_name": "sample string 18",
"work_instruction_type_id": "65d55e23-8cf3-4b6c-b35c-563dac1e9661",
"work_instruction_type_code": "sample string 20",
"show_options": "sample string 21",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-09-09T11:47:36.1592736+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.